# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit git-r3 linux-info linux-mod

DESCRIPTION="ncpfs kernel module for Linux 4.18+"
HOMEPAGE="https://github.com/EnzephaloN/ncpfs-module"
EGIT_REPO_URI="https://github.com/EnzephaloN/ncpfs-module.git"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"

BUILD_TARGETS="all"
CONFIG_CHECK="NET"
MODULE_NAMES="ncpfs(ncpfs:${S})"


src_unpack() {
	if kernel_is gt 4 18 0; then
	    EGIT_BRANCH="kernel_4.19"
	fi
	if kernel_is gt 4 20 0; then
	    EGIT_BRANCH="kernel_4.20"
	fi
	if kernel_is gt 5 2 0; then
	    EGIT_BRANCH="kernel_5.2"
	fi
	if kernel_is gt 5 6 0; then
	    EGIT_BRANCH="kernel_5.6"
	fi
	if kernel_is gt 5 12 0; then
	    EGIT_BRANCH="kernel_5.12"
	fi
	if kernel_is gt 5 15 0; then
	    EGIT_BRANCH="kernel_5.15"
	fi
	if kernel_is gt 5 19 0; then
	    EGIT_BRANCH="master"
	fi

	git-r3_src_unpack
}

src_compile() {
	BUILD_PARAMS="KDIR=${KV_OUT_DIR} M=${S}"

	linux-mod_src_compile
}

src_install() {
	linux-mod_src_install
}
