# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=7

SHA="d2399f848e7cbe6b6f5970db7704254c35116380"

inherit cmake

DESCRIPTION="LabPowerQt is an application to control laboratory power supplies and to record and visualize the data"
HOMEPAGE="https://github.com/crapp/labpowerqt"
#SRC_URI="https://github.com/crapp/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
SRC_URI="https://github.com/crapp/${PN}/archive/${SHA}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

S=${WORKDIR}/${PN}-${SHA}

RDEPEND="dev-qt/qtgui:5
	dev-qt/qtwidgets:5
	dev-qt/qtcore:5
	dev-qt/qtserialport:5
	dev-qt/qtsql:5
	dev-qt/qtprintsupport:5
	dev-libs/ealogger"
DEPEND="${RDEPEND}"
#	dev-qt/qtquick:5

#src_prepare() {
#	eapply "${FILESDIR}/multichan.patch"
#	eapply_user
#}

src_configure() {
	local mycmakeargs=(
		"-DEALOGGER_EXTERNAL=off" )

	cmake_src_configure
}
